# syntax=docker/dockerfile:1

FROM python:3.8-slim-buster


# set the working directory in the container
WORKDIR /code

# copy the dependencies file to the working directory
COPY requirements.txt requirements.txt

Expose 5432
# install dependencies
RUN pip install -r requirements.txt
# RUN alembic upgrade head

Expose 5672
# copy the content of the local src directory to the working directory
COPY . .

# command to run on container start
CMD [ "nameko", "run", "--config", "config.yml", "gateway.service", "--backdoor", "3000" ] 